Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jaspersoft.jasperserver.api.metadata.common.service.impl
Class ResourceFactoryImpl

    java.lang.Object
      com.jaspersoft.jasperserver.api.common.service.impl.ImplementationClassObjectFactoryImpl
          com.jaspersoft.jasperserver.api.metadata.common.service.impl.ResourceFactoryImpl

All Implemented Interfaces:
  ImplementationObjectFactory, ResourceFactory

    public class ResourceFactoryImpl

extends ImplementationClassObjectFactoryImpl
implements ResourceFactory

Version:
  $Id: ResourceFactoryImpl.java 8408 2007-05-29 23:29:12Z melih $
Author:
  Lucian Chirita (lucianc@users.sourceforge.net)

Constructor Summary
`ResourceFactoryImpl()`

Method Summary
`Resource` | `newResource(ExecutionContext context, java.lang.Class _class)`
`Resource` | `newResource(ExecutionContext context, java.lang.String id)`

Methods inherited from class com.jaspersoft.jasperserver.api.common.service.impl.ImplementationClassObjectFactoryImpl
`getIdForClass, getImplementationClass, getImplementationClass, getImplementationClassMappings, getImplementationClassName, getImplementationClassName, getInterface, getInterfaceName, getKeys, getObjectFactory, newObject, newObject, setImplementationClassMappings, setObjectFactory`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.jaspersoft.jasperserver.api.common.service.ImplementationObjectFactory
`getIdForClass, getImplementationClass, getImplementationClass, getImplementationClassName, getImplementationClassName, getInterface, getInterfaceName, getKeys, newObject, newObject`

Constructor Detail

### ResourceFactoryImpl

    public ResourceFactoryImpl()

Method Detail

### newResource

    public Resource newResource(ExecutionContext context,
                                java.lang.Class _class)

  Specified by:
    `newResource` in interface `ResourceFactory`

### newResource

    public Resource newResource(ExecutionContext context,
                                java.lang.String id)

  Specified by:
    `newResource` in interface `ResourceFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007. All Rights Reserved.